Dela via


Api - Create Or Update

Skapar nya eller uppdaterar befintligt angivet API för API Management-tjänstinstansen.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ApiManagement/service/{serviceName}/apis/{apiId}?api-version=2025-03-01-preview

URI-parametrar

Name I Obligatorisk Typ Description
apiId
path True

string

minLength: 1
maxLength: 80
pattern: ^[^*#&+:<>?]+$

Identifierare för API-revision. Måste vara unikt i den aktuella API Management-tjänstinstansen. Långfristig revision har ; rev=n som ett suffix där n är revisionsnumret.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Namnet på resursgruppen. Namnet är skiftlägesokänsligt.

serviceName
path True

string

minLength: 1
maxLength: 50
pattern: ^[a-zA-Z](?:[a-zA-Z0-9-]*[a-zA-Z0-9])?$

Namnet på API Management-tjänsten.

subscriptionId
path True

string

minLength: 1

ID för målprenumerationen.

api-version
query True

string

minLength: 1

Den API-version som ska användas för den här åtgärden.

Begärandehuvud

Name Obligatorisk Typ Description
If-Match

string

ETag för entiteten. Krävs inte när du skapar en entitet, men krävs när du uppdaterar en entitet.

Begärandetext

Name Obligatorisk Typ Description
properties.path True

string

minLength: 0
maxLength: 400

Relativ URL som unikt identifierar det här API:et och alla dess resurssökvägar i API Management-tjänstinstansen. Den läggs till i den API-slutpunktsbas-URL som angavs när tjänstinstansen skapades för att skapa en offentlig URL för det här API:et.

apiRevision

string

minLength: 1
maxLength: 100

Beskriver revisionen av API:et. Om inget värde anges skapas standardrevision 1

apiRevisionDescription

string

maxLength: 256

Beskrivning av API-revisionen.

apiVersion

string

maxLength: 100

Anger versionsidentifieraren för API:et om API:et är versionshanterat

apiVersionDescription

string

maxLength: 256

Beskrivning av API-versionen.

apiVersionSetId

string

En resursidentifierare för den relaterade ApiVersionSet.

authenticationSettings

AuthenticationSettingsContract

Samling autentiseringsinställningar som ingår i det här API:et.

contact

ApiContactInformation

Kontaktuppgifter för API:et.

description

string

Beskrivning av API:et. Kan innehålla HTML-formateringstaggar.

isCurrent

boolean

Anger om API-revisionen är aktuell api-revision.

license

ApiLicenseInformation

Licensinformation för API:et.

properties.apiType

SoapApiType

Typ av API som ska skapas.

  • http skapar ett REST API
  • soap skapar ett SOAP-direkt-API
  • websocket skapar websocket API
  • graphql skapar GraphQL API. Nya typer kan läggas till i framtiden.
properties.apiVersionSet

ApiVersionSetContractDetails

Information om versionsuppsättning

properties.displayName

string

minLength: 1
maxLength: 300

API-namn. Måste vara mellan 1 och 300 tecken långt.

properties.format

ContentFormat

Format för innehållet där API:et importeras. Nya format kan läggas till i framtiden

properties.protocols

Protocol[]

Beskriver vilka protokoll som åtgärderna i det här API:et kan anropas för.

properties.serviceUrl

string

minLength: 0
maxLength: 2000

Absolut URL för serverdelstjänsten som implementerar det här API:et. Får inte vara längre än 2 000 tecken.

properties.sourceApiId

string

API-identifierare för käll-API:et.

properties.translateRequiredQueryParameters

TranslateRequiredQueryParametersConduct

Strategi för att översätta obligatoriska frågeparametrar till mallparametrar. Som standard har värdet "mall". Möjliga värden: "mall", "fråga"

properties.value

string

Innehållsvärde när du importerar ett API.

properties.wsdlSelector

ApiCreateOrUpdatePropertiesWsdlSelector

Villkor för att begränsa importen av WSDL till en delmängd av dokumentet.

subscriptionKeyParameterNames

SubscriptionKeyParameterNamesContract

Protokoll som API:et görs tillgängligt för.

subscriptionRequired

boolean

Anger om ett API eller en produktprenumeration krävs för åtkomst till API:et.

termsOfServiceUrl

string

En URL till användningsvillkoren för API:et. MÅSTE vara i formatet för en URL.

type

ApiType

Typ av API.

Svar

Name Typ Description
200 OK

ApiContract

Begäran har lyckats.

Sidhuvuden

  • Azure-AsyncOperation: string
  • ETag: string
  • location: string
201 Created

ApiContract

Begäran har slutförts och en ny resurs har skapats som ett resultat.

Sidhuvuden

  • Azure-AsyncOperation: string
  • ETag: string
  • location: string
Other Status Codes

ErrorResponse

Ett oväntat felsvar.

Säkerhet

azure_auth

Azure Active Directory OAuth2-flöde.

Typ: oauth2
Flow: implicit
Auktoriseringswebbadress: https://login.microsoftonline.com/common/oauth2/authorize

Omfattningar

Name Description
user_impersonation personifiera ditt användarkonto

Exempel

ApiManagementCreateApi
ApiManagementCreateApiClone
ApiManagementCreateApiNewVersionUsingExistingApi
ApiManagementCreateApiRevisionFromExistingApi
ApiManagementCreateApiUsingImportOverrideServiceUrl
ApiManagementCreateApiUsingOai3Import
ApiManagementCreateApiUsingOai3ImportWithTranslateRequiredQueryParametersConduct
ApiManagementCreateApiUsingSwaggerImport
ApiManagementCreateApiUsingWadlImport
ApiManagementCreateApiWithMultipleAuthServers
ApiManagementCreateApiWithMultipleOpenIdConnectProviders
ApiManagementCreateApiWithOpenIdConnect
ApiManagementCreateGraphQLApi
ApiManagementCreateGrpcApi
ApiManagementCreateODataApi
ApiManagementCreateSoapPassThroughApiUsingWsdlImport
ApiManagementCreateSoapToRestApiUsingWsdlImport
ApiManagementCreateWebSocketApi

ApiManagementCreateApi

Exempelbegäran

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "authenticationSettings": {
      "oAuth2": {
        "authorizationServerId": "authorizationServerId2283",
        "scope": "oauth2scope2580"
      }
    },
    "displayName": "apiname1463",
    "protocols": [
      "https",
      "http"
    ],
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}

Exempelsvar

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": {
      "oAuth2": {
        "authorizationServerId": "authorizationServerId2283",
        "scope": "oauth2scope2580"
      },
      "oAuth2AuthenticationSettings": [
        {
          "authorizationServerId": "authorizationServerId2283",
          "scope": "oauth2scope2580"
        }
      ]
    },
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": {
      "oAuth2": {
        "authorizationServerId": "authorizationServerId2283",
        "scope": "oauth2scope2580"
      },
      "oAuth2AuthenticationSettings": [
        {
          "authorizationServerId": "authorizationServerId2283",
          "scope": "oauth2scope2580"
        }
      ]
    },
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}

ApiManagementCreateApiClone

Exempelbegäran

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api2?api-version=2025-03-01-preview

{
  "properties": {
    "path": "echo2",
    "description": "Copy of Existing Echo Api including Operations.",
    "displayName": "Echo API2",
    "isCurrent": true,
    "protocols": [
      "http",
      "https"
    ],
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "sourceApiId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/58a4aeac497000007d040001",
    "subscriptionRequired": true
  }
}

Exempelsvar

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "echoapi2",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapi2",
  "properties": {
    "path": "echo2",
    "description": "Copy of Existing Echo Api including Operations.",
    "apiRevision": "1",
    "displayName": "Echo API2",
    "isCurrent": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "subscriptionRequired": true
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "echoapi2",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapi2",
  "properties": {
    "path": "echo2",
    "description": "Copy of Existing Echo Api including Operations.",
    "apiRevision": "1",
    "displayName": "Echo API2",
    "isCurrent": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "subscriptionRequired": true
  }
}

ApiManagementCreateApiNewVersionUsingExistingApi

Exempelbegäran

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapiv3?api-version=2025-03-01-preview

{
  "properties": {
    "path": "echo2",
    "description": "Create Echo API into a new Version using Existing Version Set and Copy all Operations.",
    "apiVersion": "v4",
    "apiVersionSetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
    "displayName": "Echo API2",
    "isCurrent": true,
    "protocols": [
      "http",
      "https"
    ],
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "sourceApiId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoPath",
    "subscriptionRequired": true
  }
}

Exempelsvar

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "echoapiv3",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapiv3",
  "properties": {
    "path": "echo2",
    "description": "Create Echo API into a new Version using Existing Version Set and Copy all Operations.",
    "apiRevision": "1",
    "apiVersion": "v4",
    "apiVersionSet": {
      "name": "Echo API2",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
      "versioningScheme": "Segment"
    },
    "apiVersionSetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
    "displayName": "Echo API2",
    "isCurrent": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "subscriptionRequired": true
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "echoapiv3",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapiv3",
  "properties": {
    "path": "echo2",
    "description": "Create Echo API into a new Version using Existing Version Set and Copy all Operations.",
    "apiRevision": "1",
    "apiVersion": "v4",
    "apiVersionSet": {
      "name": "Echo API2",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
      "versioningScheme": "Segment"
    },
    "apiVersionSetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
    "displayName": "Echo API2",
    "isCurrent": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "subscriptionRequired": true
  }
}

ApiManagementCreateApiRevisionFromExistingApi

Exempelbegäran

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api;rev=3?api-version=2025-03-01-preview

{
  "properties": {
    "path": "echo",
    "apiRevisionDescription": "Creating a Revision of an existing API",
    "serviceUrl": "http://echoapi.cloudapp.net/apiv3",
    "sourceApiId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api"
  }
}

Exempelsvar

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "echo-api;rev=3",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api;rev=3",
  "properties": {
    "path": "echo",
    "apiRevision": "3",
    "apiRevisionDescription": "Creating a Revision of an existing API",
    "displayName": "Echo API",
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://echoapi.cloudapp.net/apiv3",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "subscriptionRequired": true
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "echo-api;rev=3",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api;rev=3",
  "properties": {
    "path": "echo",
    "apiRevision": "3",
    "apiRevisionDescription": "Creating a Revision of an existing API",
    "displayName": "Echo API",
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://echoapi.cloudapp.net/apiv3",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "subscriptionRequired": true
  }
}

ApiManagementCreateApiUsingImportOverrideServiceUrl

Exempelbegäran

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2025-03-01-preview

{
  "properties": {
    "format": "swagger-link",
    "path": "petstoreapi123",
    "serviceUrl": "http://petstore.swagger.wordnik.com/api",
    "value": "http://apimpimportviaurl.azurewebsites.net/api/apidocs/"
  }
}

Exempelsvar

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apidocs",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs",
  "properties": {
    "path": "petstoreapi123",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger \n    at <a href=\"http://swagger.wordnik.com\">http://swagger.wordnik.com</a> or on irc.freenode.net, #swagger.  For this sample,\n    you can use the api key \"special-key\" to test the authorization filters",
    "apiRevision": "1",
    "displayName": "Swagger Sample App",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.wordnik.com/api",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "apidocs",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs",
  "properties": {
    "path": "petstoreapi123",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger \n    at <a href=\"http://swagger.wordnik.com\">http://swagger.wordnik.com</a> or on irc.freenode.net, #swagger.  For this sample,\n    you can use the api key \"special-key\" to test the authorization filters",
    "apiRevision": "1",
    "displayName": "Swagger Sample App",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.wordnik.com/api",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateApiUsingOai3Import

Exempelbegäran

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2025-03-01-preview

{
  "properties": {
    "format": "openapi-link",
    "path": "petstore",
    "value": "https://raw.githubusercontent.com/OAI/OpenAPI-Specification/master/examples/v3.0/petstore.yaml"
  }
}

Exempelsvar

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "properties": {
    "path": "petstore",
    "apiRevision": "1",
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v1",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "properties": {
    "path": "petstore",
    "apiRevision": "1",
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v1",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateApiUsingOai3ImportWithTranslateRequiredQueryParametersConduct

Exempelbegäran

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2025-03-01-preview

{
  "properties": {
    "format": "openapi-link",
    "path": "petstore",
    "translateRequiredQueryParameters": "template",
    "value": "https://raw.githubusercontent.com/OAI/OpenAPI-Specification/master/examples/v3.0/petstore.yaml"
  }
}

Exempelsvar

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "properties": {
    "path": "petstore",
    "apiRevision": "1",
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v1",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "properties": {
    "path": "petstore",
    "apiRevision": "1",
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v1",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateApiUsingSwaggerImport

Exempelbegäran

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2025-03-01-preview

{
  "properties": {
    "format": "swagger-link-json",
    "path": "petstore",
    "value": "http://petstore.swagger.io/v2/swagger.json"
  }
}

Exempelsvar

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "properties": {
    "path": "petstore",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).  For this sample, you can use the api key `special-key` to test the authorization filters.",
    "apiRevision": "1",
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "http"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v2",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "properties": {
    "path": "petstore",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).  For this sample, you can use the api key `special-key` to test the authorization filters.",
    "apiRevision": "1",
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "http"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v2",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateApiUsingWadlImport

Exempelbegäran

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2025-03-01-preview

{
  "properties": {
    "format": "wadl-link-json",
    "path": "collector",
    "value": "https://developer.cisco.com/media/wae-release-6-2-api-reference/wae-collector-rest-api/application.wadl"
  }
}

Exempelsvar

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "collectorwadl",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/collectorwadl",
  "properties": {
    "path": "collector",
    "description": "",
    "apiRevision": "1",
    "displayName": "http://localhost:8080/collector-northbound",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://localhost:8080/collector-northbound",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "collectorwadl",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/collectorwadl",
  "properties": {
    "path": "collector",
    "description": "",
    "apiRevision": "1",
    "displayName": "http://localhost:8080/collector-northbound",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://localhost:8080/collector-northbound",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateApiWithMultipleAuthServers

Exempelbegäran

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "authenticationSettings": {
      "oAuth2AuthenticationSettings": [
        {
          "authorizationServerId": "authorizationServerId2283",
          "scope": "oauth2scope2580"
        },
        {
          "authorizationServerId": "authorizationServerId2284",
          "scope": "oauth2scope2581"
        }
      ]
    },
    "displayName": "apiname1463",
    "protocols": [
      "https",
      "http"
    ],
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}

Exempelsvar

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": {
      "oAuth2": {
        "authorizationServerId": "authorizationServerId2283",
        "scope": "oauth2scope2580"
      },
      "oAuth2AuthenticationSettings": [
        {
          "authorizationServerId": "authorizationServerId2283",
          "scope": "oauth2scope2580"
        },
        {
          "authorizationServerId": "authorizationServerId2284",
          "scope": "oauth2scope2581"
        }
      ]
    },
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}

ApiManagementCreateApiWithMultipleOpenIdConnectProviders

Exempelbegäran

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "authenticationSettings": {
      "openidAuthenticationSettings": [
        {
          "bearerTokenSendingMethods": [
            "authorizationHeader"
          ],
          "openidProviderId": "openidProviderId2283"
        },
        {
          "bearerTokenSendingMethods": [
            "authorizationHeader"
          ],
          "openidProviderId": "openidProviderId2284"
        }
      ]
    },
    "displayName": "apiname1463",
    "protocols": [
      "https",
      "http"
    ],
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}

Exempelsvar

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": {
      "openid": {
        "bearerTokenSendingMethods": [
          "authorizationHeader"
        ],
        "openidProviderId": "openidProviderId2283"
      },
      "openidAuthenticationSettings": [
        {
          "bearerTokenSendingMethods": [
            "authorizationHeader"
          ],
          "openidProviderId": "openidProviderId2283"
        },
        {
          "bearerTokenSendingMethods": [
            "authorizationHeader"
          ],
          "openidProviderId": "openidProviderId2284"
        }
      ]
    },
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}

ApiManagementCreateApiWithOpenIdConnect

Exempelbegäran

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "path": "petstore",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).  For this sample, you can use the api key `special-key` to test the authorization filters.",
    "authenticationSettings": {
      "openid": {
        "bearerTokenSendingMethods": [
          "authorizationHeader"
        ],
        "openidProviderId": "testopenid"
      }
    },
    "displayName": "Swagger Petstore",
    "protocols": [
      "https"
    ],
    "serviceUrl": "http://petstore.swagger.io/v2",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

Exempelsvar

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "58da4c4ccdae970a08121230",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/58da4c4ccdae970a08121230",
  "properties": {
    "path": "petstore",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).  For this sample, you can use the api key `special-key` to test the authorization filters.",
    "apiRevision": "1",
    "authenticationSettings": {
      "openid": {
        "bearerTokenSendingMethods": [
          "authorizationHeader"
        ],
        "openidProviderId": "testopenid"
      }
    },
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v2",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "58da4c4ccdae970a08121230",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/58da4c4ccdae970a08121230",
  "properties": {
    "path": "petstore",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).  For this sample, you can use the api key `special-key` to test the authorization filters.",
    "apiRevision": "1",
    "authenticationSettings": {
      "openid": {
        "bearerTokenSendingMethods": [
          "authorizationHeader"
        ],
        "openidProviderId": "testopenid"
      }
    },
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v2",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateGraphQLApi

Exempelbegäran

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "type": "graphql",
    "path": "graphql-api",
    "description": "apidescription5200",
    "displayName": "apiname1463",
    "protocols": [
      "http",
      "https"
    ],
    "serviceUrl": "https://api.spacex.land/graphql"
  }
}

Exempelsvar

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "graphql",
    "path": "graphql-api",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "https://api.spacex.land/graphql",
    "subscriptionKeyParameterNames": null
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "graphql",
    "path": "graphql-api",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "https",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "https://api.spacex.land/graphql",
    "subscriptionKeyParameterNames": null
  }
}

ApiManagementCreateGrpcApi

Exempelbegäran

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "type": "grpc",
    "format": "grpc-link",
    "path": "grpc-api",
    "description": "apidescription5200",
    "displayName": "apiname1463",
    "protocols": [
      "https"
    ],
    "serviceUrl": "https://your-api-hostname/samples",
    "value": "https://raw.githubusercontent.com/kedacore/keda/main/pkg/scalers/externalscaler/externalscaler.proto"
  }
}

Exempelsvar

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "grpc",
    "path": "grpc-api",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "https"
    ],
    "serviceUrl": "https://your-api-hostname/samples",
    "subscriptionKeyParameterNames": null
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "grpc",
    "path": "grpc-api",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "https"
    ],
    "serviceUrl": "https://your-api-hostname/samples",
    "subscriptionKeyParameterNames": null
  }
}

ApiManagementCreateODataApi

Exempelbegäran

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "type": "odata",
    "format": "odata-link",
    "path": "odata-api",
    "description": "apidescription5200",
    "displayName": "apiname1463",
    "protocols": [
      "http",
      "https"
    ],
    "serviceUrl": "https://services.odata.org/TripPinWebApiService",
    "value": "https://services.odata.org/TripPinWebApiService/$metadata"
  }
}

Exempelsvar

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "odata",
    "path": "odata-api",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "https://services.odata.org/TripPinWebApiService",
    "subscriptionKeyParameterNames": null
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "odata",
    "path": "odata-api",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "https://services.odata.org/TripPinWebApiService",
    "subscriptionKeyParameterNames": null
  }
}

ApiManagementCreateSoapPassThroughApiUsingWsdlImport

Exempelbegäran

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi?api-version=2025-03-01-preview

{
  "properties": {
    "format": "wsdl-link",
    "path": "currency",
    "apiType": "soap",
    "value": "http://www.webservicex.net/CurrencyConvertor.asmx?WSDL",
    "wsdlSelector": {
      "wsdlEndpointName": "CurrencyConvertorSoap",
      "wsdlServiceName": "CurrencyConvertor"
    }
  }
}

Exempelsvar

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "soapApi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
  "properties": {
    "type": "soap",
    "path": "currency",
    "apiRevision": "1",
    "displayName": "CurrencyConvertor",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://www.webservicex.net",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "soapApi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
  "properties": {
    "type": "soap",
    "path": "currency",
    "apiRevision": "1",
    "displayName": "CurrencyConvertor",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://www.webservicex.net",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateSoapToRestApiUsingWsdlImport

Exempelbegäran

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi?api-version=2025-03-01-preview

{
  "properties": {
    "format": "wsdl-link",
    "path": "currency",
    "value": "http://www.webservicex.net/CurrencyConvertor.asmx?WSDL",
    "wsdlSelector": {
      "wsdlEndpointName": "CurrencyConvertorSoap",
      "wsdlServiceName": "CurrencyConvertor"
    }
  }
}

Exempelsvar

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "soapApi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
  "properties": {
    "path": "currency",
    "apiRevision": "1",
    "displayName": "CurrencyConvertor",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://www.webservicex.net",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "soapApi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
  "properties": {
    "path": "currency",
    "apiRevision": "1",
    "displayName": "CurrencyConvertor",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://www.webservicex.net",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateWebSocketApi

Exempelbegäran

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "type": "websocket",
    "path": "newapiPath",
    "description": "apidescription5200",
    "displayName": "apiname1463",
    "protocols": [
      "wss",
      "ws"
    ],
    "serviceUrl": "wss://echo.websocket.org"
  }
}

Exempelsvar

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "websocket",
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "ws",
      "wss"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "wss://echo.websocket.org",
    "subscriptionKeyParameterNames": null
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "websocket",
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "ws",
      "wss"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "wss://echo.websocket.org",
    "subscriptionKeyParameterNames": null
  }
}

Definitioner

Name Description
ApiContactInformation

Kontaktuppgifter till API:et

ApiContract

API-information.

ApiCreateOrUpdateParameter

Parametrar för att skapa eller uppdatera API.

ApiCreateOrUpdatePropertiesWsdlSelector

Villkor för att begränsa importen av WSDL till en delmängd av dokumentet.

ApiLicenseInformation

Information om API-licens

ApiType

Typ av API.

ApiVersionSetContractDetails

En API-versionsuppsättning innehåller den vanliga konfigurationen för en uppsättning API-versioner relaterade

AuthenticationSettingsContract

Inställningar för API-autentisering.

BearerTokenSendingMethods

Form av ett auktoriseringsbidrag som klienten använder för att begära åtkomsttoken.

ContentFormat

Format för innehållet där API:et importeras. Nya format kan läggas till i framtiden

createdByType

Den typ av identitet som skapade resursen.

ErrorAdditionalInfo

Ytterligare information om resurshanteringsfelet.

ErrorDetail

Felinformationen.

ErrorResponse

Felsvar

OAuth2AuthenticationSettingsContract

Information om API OAuth2-autentiseringsinställningar.

OpenIdAuthenticationSettingsContract

Information om API OAuth2-autentiseringsinställningar.

Protocol
SoapApiType

Typ av API som ska skapas.

  • http skapar ett REST API
  • soap skapar ett SOAP-direkt-API
  • websocket skapar websocket API
  • graphql skapar GraphQL API. Nya typer kan läggas till i framtiden.
SubscriptionKeyParameterNamesContract

Information om namn på prenumerationsnyckelparameter.

systemData

Metadata som rör skapande och senaste ändring av resursen.

TranslateRequiredQueryParametersConduct

Strategi för att översätta obligatoriska frågeparametrar till mallparametrar. Som standard har värdet "mall". Möjliga värden: "mall", "fråga"

VersioningScheme

Ett värde som avgör var API-versionsidentifieraren ska finnas i en HTTP-begäran.

ApiContactInformation

Kontaktuppgifter till API:et

Name Typ Description
email

string

Kontaktpersonens/organisationens e-postadress. MÅSTE vara i formatet för en e-postadress

name

string

Det identifierande namnet på kontaktpersonen/organisationen

url

string

URL:en som pekar på kontaktinformationen. MÅSTE vara i formatet för en URL

ApiContract

API-information.

Name Typ Description
id

string

Fullständigt kvalificerat resurs-ID för resursen. Ex – /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

Namnet på resursen

properties.apiRevision

string

minLength: 1
maxLength: 100

Beskriver revisionen av API:et. Om inget värde anges skapas standardrevision 1

properties.apiRevisionDescription

string

maxLength: 256

Beskrivning av API-revisionen.

properties.apiVersion

string

maxLength: 100

Anger versionsidentifieraren för API:et om API:et är versionshanterat

properties.apiVersionDescription

string

maxLength: 256

Beskrivning av API-versionen.

properties.apiVersionSet

ApiVersionSetContractDetails

Information om versionsuppsättning

properties.apiVersionSetId

string

En resursidentifierare för den relaterade ApiVersionSet.

properties.authenticationSettings

AuthenticationSettingsContract

Samling autentiseringsinställningar som ingår i det här API:et.

properties.contact

ApiContactInformation

Kontaktuppgifter för API:et.

properties.description

string

Beskrivning av API:et. Kan innehålla HTML-formateringstaggar.

properties.displayName

string

minLength: 1
maxLength: 300

API-namn. Måste vara mellan 1 och 300 tecken långt.

properties.isCurrent

boolean

Anger om API-revisionen är aktuell api-revision.

properties.isOnline

boolean

Anger om API-revision är tillgänglig via gatewayen.

properties.license

ApiLicenseInformation

Licensinformation för API:et.

properties.path

string

minLength: 0
maxLength: 400

Relativ URL som unikt identifierar det här API:et och alla dess resurssökvägar i API Management-tjänstinstansen. Den läggs till i den API-slutpunktsbas-URL som angavs när tjänstinstansen skapades för att skapa en offentlig URL för det här API:et.

properties.protocols

Protocol[]

Beskriver vilka protokoll som åtgärderna i det här API:et kan anropas för.

properties.provisioningState

string

Etableringstillståndet

properties.serviceUrl

string

minLength: 0
maxLength: 2000

Absolut URL för serverdelstjänsten som implementerar det här API:et. Får inte vara längre än 2 000 tecken.

properties.sourceApiId

string

API-identifierare för käll-API:et.

properties.subscriptionKeyParameterNames

SubscriptionKeyParameterNamesContract

Protokoll som API:et görs tillgängligt för.

properties.subscriptionRequired

boolean

Anger om ett API eller en produktprenumeration krävs för åtkomst till API:et.

properties.termsOfServiceUrl

string

En URL till användningsvillkoren för API:et. MÅSTE vara i formatet för en URL.

properties.type

ApiType

Typ av API.

systemData

systemData

Azure Resource Manager-metadata som innehåller createdBy och modifiedBy information.

type

string

Resurstypen. Till exempel "Microsoft.Compute/virtualMachines" eller "Microsoft.Storage/storageAccounts"

ApiCreateOrUpdateParameter

Parametrar för att skapa eller uppdatera API.

Name Typ Description
apiRevision

string

minLength: 1
maxLength: 100

Beskriver revisionen av API:et. Om inget värde anges skapas standardrevision 1

apiRevisionDescription

string

maxLength: 256

Beskrivning av API-revisionen.

apiVersion

string

maxLength: 100

Anger versionsidentifieraren för API:et om API:et är versionshanterat

apiVersionDescription

string

maxLength: 256

Beskrivning av API-versionen.

apiVersionSetId

string

En resursidentifierare för den relaterade ApiVersionSet.

authenticationSettings

AuthenticationSettingsContract

Samling autentiseringsinställningar som ingår i det här API:et.

contact

ApiContactInformation

Kontaktuppgifter för API:et.

description

string

Beskrivning av API:et. Kan innehålla HTML-formateringstaggar.

isCurrent

boolean

Anger om API-revisionen är aktuell api-revision.

isOnline

boolean

Anger om API-revision är tillgänglig via gatewayen.

license

ApiLicenseInformation

Licensinformation för API:et.

properties.apiType

SoapApiType

Typ av API som ska skapas.

  • http skapar ett REST API
  • soap skapar ett SOAP-direkt-API
  • websocket skapar websocket API
  • graphql skapar GraphQL API. Nya typer kan läggas till i framtiden.
properties.apiVersionSet

ApiVersionSetContractDetails

Information om versionsuppsättning

properties.displayName

string

minLength: 1
maxLength: 300

API-namn. Måste vara mellan 1 och 300 tecken långt.

properties.format

ContentFormat

Format för innehållet där API:et importeras. Nya format kan läggas till i framtiden

properties.path

string

minLength: 0
maxLength: 400

Relativ URL som unikt identifierar det här API:et och alla dess resurssökvägar i API Management-tjänstinstansen. Den läggs till i den API-slutpunktsbas-URL som angavs när tjänstinstansen skapades för att skapa en offentlig URL för det här API:et.

properties.protocols

Protocol[]

Beskriver vilka protokoll som åtgärderna i det här API:et kan anropas för.

properties.provisioningState

string

Etableringstillståndet

properties.serviceUrl

string

minLength: 0
maxLength: 2000

Absolut URL för serverdelstjänsten som implementerar det här API:et. Får inte vara längre än 2 000 tecken.

properties.sourceApiId

string

API-identifierare för käll-API:et.

properties.translateRequiredQueryParameters

TranslateRequiredQueryParametersConduct

Strategi för att översätta obligatoriska frågeparametrar till mallparametrar. Som standard har värdet "mall". Möjliga värden: "mall", "fråga"

properties.value

string

Innehållsvärde när du importerar ett API.

properties.wsdlSelector

ApiCreateOrUpdatePropertiesWsdlSelector

Villkor för att begränsa importen av WSDL till en delmängd av dokumentet.

subscriptionKeyParameterNames

SubscriptionKeyParameterNamesContract

Protokoll som API:et görs tillgängligt för.

subscriptionRequired

boolean

Anger om ett API eller en produktprenumeration krävs för åtkomst till API:et.

termsOfServiceUrl

string

En URL till användningsvillkoren för API:et. MÅSTE vara i formatet för en URL.

type

ApiType

Typ av API.

ApiCreateOrUpdatePropertiesWsdlSelector

Villkor för att begränsa importen av WSDL till en delmängd av dokumentet.

Name Typ Description
wsdlEndpointName

string

Namn på slutpunkt(port) som ska importeras från WSDL

wsdlServiceName

string

Namnet på tjänsten som ska importeras från WSDL

ApiLicenseInformation

Information om API-licens

Name Typ Description
name

string

Licensnamnet som används för API:et

url

string

En URL till den licens som används för API:et. MÅSTE vara i formatet för en URL

ApiType

Typ av API.

Värde Description
http
soap
websocket
graphql
odata
grpc

ApiVersionSetContractDetails

En API-versionsuppsättning innehåller den vanliga konfigurationen för en uppsättning API-versioner relaterade

Name Typ Description
description

string

Beskrivning av API-versionsuppsättning.

id

string

Identifierare för befintlig API-versionsuppsättning. Utelämna det här värdet för att skapa en ny versionsuppsättning.

name

string

Visningsnamnet för API-versionsuppsättningen.

versionHeaderName

string

Namnet på HTTP-huvudparametern som anger API-versionen om versionshanteringScheme är inställt på header.

versionQueryName

string

Namnet på frågeparametern som anger API-versionen om versionshanteringScheme är inställt på query.

versioningScheme

VersioningScheme

Ett värde som avgör var API-versionsidentifieraren ska finnas i en HTTP-begäran.

AuthenticationSettingsContract

Inställningar för API-autentisering.

Name Typ Description
oAuth2

OAuth2AuthenticationSettingsContract

Autentiseringsinställningar för OAuth2

oAuth2AuthenticationSettings

OAuth2AuthenticationSettingsContract[]

Samling OAuth2-autentiseringsinställningar som ingår i det här API:et.

openid

OpenIdAuthenticationSettingsContract

Inställningar för OpenID Connect-autentisering

openidAuthenticationSettings

OpenIdAuthenticationSettingsContract[]

Samling autentiseringsinställningar för Open ID Connect som ingår i det här API:et.

BearerTokenSendingMethods

Form av ett auktoriseringsbidrag som klienten använder för att begära åtkomsttoken.

Värde Description
authorizationHeader

Åtkomsttoken överförs i auktoriseringshuvudet med hjälp av Bearer-schemat

query

Åtkomsttoken överförs som frågeparametrar.

ContentFormat

Format för innehållet där API:et importeras. Nya format kan läggas till i framtiden

Värde Description
wadl-xml

Innehållet är infogat och Innehållstyp är ett WADL-dokument.

wadl-link-json

WADL-dokumentet finns på en offentligt tillgänglig internetadress.

swagger-json

Innehållet är infogat och innehållstypen är ett OpenAPI 2.0 JSON-dokument.

swagger-link-json

OpenAPI 2.0 JSON-dokumentet finns på en offentligt tillgänglig Internetadress.

wsdl

Innehållet är infogat och dokumentet är ett WSDL/Soap-dokument.

wsdl-link

WSDL-dokumentet finns på en offentligt tillgänglig Internetadress.

openapi

Innehållet är infogat och innehållstypen är ett OpenAPI 3.0 YAML-dokument.

openapi+json

Innehållet är infogat och innehållstypen är ett OpenAPI 3.0 JSON-dokument.

openapi-link

OpenAPI 3.0 YAML-dokumentet finns på en offentligt tillgänglig Internetadress.

openapi+json-link

OpenAPI 3.0 JSON-dokumentet finns på en offentligt tillgänglig Internetadress.

graphql-link

GraphQL API-slutpunkten som finns på en offentligt tillgänglig Internetadress.

odata

Innehållet är infogat och Innehållstyp är ett OData XML-dokument.

odata-link

OData-metadatadokumentet som finns på en offentligt tillgänglig Internetadress.

grpc

Innehållet är infogat och innehållstypen är en gRPC protobuf-fil.

grpc-link

Filen gRPC protobuf finns på en offentligt tillgänglig Internetadress.

createdByType

Den typ av identitet som skapade resursen.

Värde Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Ytterligare information om resurshanteringsfelet.

Name Typ Description
info

object

Ytterligare information.

type

string

Ytterligare informationstyp.

ErrorDetail

Felinformationen.

Name Typ Description
additionalInfo

ErrorAdditionalInfo[]

Ytterligare information om felet.

code

string

Felkoden.

details

ErrorDetail[]

Felinformationen.

message

string

Felmeddelandet.

target

string

Felmålet.

ErrorResponse

Felsvar

Name Typ Description
error

ErrorDetail

Felobjektet.

OAuth2AuthenticationSettingsContract

Information om API OAuth2-autentiseringsinställningar.

Name Typ Description
authorizationServerId

string

OAuth-auktoriseringsserveridentifierare.

scope

string

driftsomfång.

OpenIdAuthenticationSettingsContract

Information om API OAuth2-autentiseringsinställningar.

Name Typ Description
bearerTokenSendingMethods

BearerTokenSendingMethods[]

Så här skickar du token till servern.

openidProviderId

string

OAuth-auktoriseringsserveridentifierare.

Protocol

Värde Description
http
https
ws
wss

SoapApiType

Typ av API som ska skapas.

  • http skapar ett REST API
  • soap skapar ett SOAP-direkt-API
  • websocket skapar websocket API
  • graphql skapar GraphQL API. Nya typer kan läggas till i framtiden.
Värde Description
http

Importerar ett SOAP API som har en RESTful-klientdel.

soap

Importerar SOAP-API:et som har en SOAP-klientdel.

websocket

Importerar API:et med en Websocket-klientdel.

graphql

Importerar API:et med en GraphQL-klientdel.

odata

Importerar API:et med en OData-klientdel.

grpc

Importerar API:et med en gRPC-klientdel.

SubscriptionKeyParameterNamesContract

Information om namn på prenumerationsnyckelparameter.

Name Typ Description
header

string

Namn på prenumerationsnyckelhuvud.

query

string

Parameternamn för frågesträng för prenumerationsnyckel.

systemData

Metadata som rör skapande och senaste ändring av resursen.

Name Typ Description
createdAt

string (date-time)

Tidsstämpeln för resursskapande (UTC).

createdBy

string

Identiteten som skapade resursen.

createdByType

createdByType

Den typ av identitet som skapade resursen.

lastModifiedAt

string (date-time)

Tidsstämpeln för resursens senaste ändring (UTC)

lastModifiedBy

string

Identiteten som senast ändrade resursen.

lastModifiedByType

createdByType

Den typ av identitet som senast ändrade resursen.

TranslateRequiredQueryParametersConduct

Strategi för att översätta obligatoriska frågeparametrar till mallparametrar. Som standard har värdet "mall". Möjliga värden: "mall", "fråga"

Värde Description
template

Översätter nödvändiga frågeparametrar till mallparametrar. Är ett standardvärde

query

Lämnar nödvändiga frågeparametrar som de är (ingen översättning görs).

VersioningScheme

Ett värde som avgör var API-versionsidentifieraren ska finnas i en HTTP-begäran.

Värde Description
Segment

API-versionen skickas i ett sökvägssegment.

Query

API-versionen skickas i en frågeparameter.

Header

API-versionen skickas i ett HTTP-huvud.